Subject: Re: git bundle unbundle and "check-outable" refs

From: Junio C Hamano <[email-masked]>
Date: Thu, 29 Sep 2011 09:49:11 -0700

"Todd A. Jacobs" <[email-masked]> writes:

> directly to the local repository, but doesn't give me any of the
> branch refs that I'm expecting from such an operation. In other words,
> if I bundle branch foo on machine A, then unbundle on machine B, I
> expect to be able to "git checkout foo" and get on with life.

$ git bundle -h
usage: git bundle create <file> <git-rev-list args>
   or: git bundle verify <file>
   or: git bundle list-heads <file> [<refname>...]
   or: git bundle unbundle <file> [<refname>...]

$ git bundle list-heads /var/tmp/junk/foo.bundle
632052641517de1a965c1f045b97d2eaa541b2e9 refs/heads/maint

$ git fetch /var/tmp/junk/foo.bundle maint
>From /var/tmp/junk/foo.bundle
 * branch            maint      -> FETCH_HEAD

or

$ git fetch /var/tmp/junk/foo.bundle maint:bundle_head
$ git log bundle_head